Bug 831983 - Failed to add a network interface without a specified mac address.
Failed to add a network interface without a specified mac address.
Status: CLOSED NEXTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
3.1 RC
Unspecified Unspecified
urgent Severity high
: ---
: ---
Assigned To: Shahar Havivi
network
: Regression
Depends On:
Blocks: 822145
  Show dependency treegraph
 
Reported: 2012-06-14 04:43 EDT by Mark Wu
Modified: 2012-06-20 10:25 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 10:25:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark Wu 2012-06-14 04:43:52 EDT
Description of problem:
Failed to add a network interface without a specified mac address.

Version-Release number of selected component (if applicable):
ovirt-engine-backend-3.1.0_0001-1.8.fc17.noarch

How reproducible:
always


Steps to Reproduce:
1. Create a network interface for a VM
2. In the pop up dialog window, leave the checkbox "Specify custom MAC address" empty
3. click the button "OK"
  
Actual results:

Got the following error:
	
Oops!
Error:
vm1:
    MAC address must be in format "HH:HH:HH:HH:HH:HH" where H is a hexadecimal character (either a digit or A-F, case is insignificant).


Expected results:
ovirt engine should choose a mac address from the mac pool configured or default.

Additional info:

engine-config -g MacPoolRanges
MacPoolRanges: 00:1A:4A:A8:7A:00-00:1A:4A:A8:7A:FF version: general
Comment 1 Shahar Havivi 2012-06-17 05:13:25 EDT
We had a regression that was fixed,
please rebase get the latest version, build the engine and UI and check again.
Comment 2 Ofer Schreiber 2012-06-18 09:40:28 EDT
(In reply to comment #1)
> We had a regression that was fixed,
> please rebase get the latest version, build the engine and UI and check
> again.

Can you please state the patch in which we fixed that issue and move the bug to MODIFIED?
Comment 3 Shahar Havivi 2012-06-18 10:45:20 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > We had a regression that was fixed,
> > please rebase get the latest version, build the engine and UI and check
> > again.
> 
> Can you please state the patch in which we fixed that issue and move the bug
> to MODIFIED?
the bug still in reviewing mode...
I will do it when we get ack
Comment 4 Shahar Havivi 2012-06-20 08:07:45 EDT
there is a fix for that in commit: 902e9520bcbec62fb638d722183551c18e5a80cc
Mark please check that you are rebased at least to that version and check again.
Comment 5 Ofer Schreiber 2012-06-20 10:25:43 EDT
A new beta build (3.1.0-0.1.20120620git6ef9f8.fc17) has been uploaded to ovirt.org, and includes a fix for this issue.

Note You need to log in before you can comment on or make changes to this bug.